Bug 97616 - redhat-config-network crashes after dialog "loading network conf"
redhat-config-network crashes after dialog "loading network conf"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-18 09:58 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-28 04:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-18 09:58:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
redhat-config-network crashes after dialog "loading network configuration", and
I get the following exception message

Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py:27:?:ImportError:
No module named ui
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 129, in ?
    import netconfpkg.gui.GUI_functions
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/__init__.py",
line 30, in ?
  File "<string>", line 1, in ?
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py",
line 27, in ?
ImportError: No module named ui

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. run redhat-config-network.
2.
3.
    

Additional info:
Comment 1 Harald Hoyer 2003-06-18 10:05:55 EDT
which version of gnome-python2 do you have?
$ rpm -q gnome-python2

besides there are updates for redhat-config-network on:
http://people.redhat.com/harald/redhat-config-network/
Comment 2 Need Real Name 2003-06-18 10:29:34 EDT
gnome-python2-1.99.14-5
Comment 3 Harald Hoyer 2003-06-18 10:35:42 EDT
can you please check your installation by running:
$ python -c 'import gnome.ui;print dir(gnome.ui)'
['APP_CONFIGURABLE_ITEM_ABOUT', 'APP_CONFIGURABLE_ITEM_CLEAR', ...
....

which should produce output.
Comment 4 Need Real Name 2003-06-18 10:40:48 EDT
The output was:

Traceback (most recent call last):
  File "<string>", line 1, in ?
ImportError: No module named ui

Which package should I reinstall?
Comment 5 Harald Hoyer 2003-06-18 10:48:28 EDT
$ rpm -qf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/uimodule.so
gnome-python2-1.99.14-5

you can verify first, if all files are there:
$ rpm -V gnome-python2
should produce no output...
also 
$ ldd /usr/lib/python2.2/site-packages/gtk-2.0/gnome/uimodule.so
should not report any missing libraries..
Comment 6 Need Real Name 2003-06-18 11:04:38 EDT
rpm -V gnome-python2 produce no output.
also ldd does not report any missing libraries..
Comment 7 Harald Hoyer 2003-06-18 11:35:02 EDT
$ rpm -qf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/__init__.py
gnome-python2-canvas-1.99.14-5
gnome-python2-1.99.14-5
gnome-python2-applet-1.99.14-5
gnome-python2-nautilus-1.99.14-5
$ rpm -Vf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/__init__.py
$

what does yours say?
Comment 8 Need Real Name 2003-06-19 03:50:01 EDT
# rpm -qf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/__init__.py
gnome-python2-1.99.14-5
gnome-python2-applet-1.99.14-5
gnome-python2-nautilus-1.99.14-5
# 

But I can run
# rpm -q gnome-python2-canvas
gnome-python2-canvas-1.99.11-8

and
#  rpm -Vf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/__init__.py
#



Comment 9 Pete Stieber 2003-07-02 15:45:53 EDT
I'm having a similar problem

<snip>
Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceFactory.py:43:getDeviceClass:KeyError:
ethernet
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 114, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceFactory.py",
line 43, in getDeviceClass
KeyError: ethernet
</snip>

My result for

rpm -q gnome-python2

is

gnome-python2-1.99.14-5

My result for

python -c 'import gnome.ui;print dir(gnome.ui)'

is

['APP_CONFIGURABLE_ITEM_ABOUT', 'APP_CONFIGURABLE_ITEM_CLEAR', ...
Comment 10 Rob Campbell 2003-07-08 21:17:31 EDT
Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py:137:search:TypeError:
expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevWireless.py",
line 34, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCWireless.py",
line 52, in load
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py", line 137,
in search
    return _compile(pattern, flags).search(string)
TypeError: expected string or buffer

Local variables in innermost frame:
pattern: ^s:
flags: 0
string: None
Comment 11 Harald Hoyer 2003-07-09 04:43:34 EDT
Please update redhat-config-network and rhpl: 
http://people.redhat.com/harald/redhat-config-network/
Comment 12 Need Real Name 2003-07-10 03:54:42 EDT
I installed the RH9 from scrath and that solve the problem.
Comment 13 james g. mcintyre 2003-11-27 11:57:45 EST
i am having a similar problem described above. only i recieve the no
module ui when i initiate up2date. 

# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 993, in ?
    main()
  File "/usr/sbin/up2date", line 772, in main
    from up2date_client import gui
  File "/usr/share/rhn/up2date_client/gui.py", line 24, in ?
    import gnome, gnome.ui
ImportError: No module named ui

# python -c 'import gnome.ui;print dir(gnome.ui)'
Traceback (most recent call last):
  File "<string>", line 1, in ?
ImportError: No module named ui

any suggestions ?

jim mcintyre
jim@mcintyresecurity.com
Comment 14 Harald Hoyer 2003-11-28 03:32:55 EST
$ rpm -qf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/ui.so
gnome-python2-2.0.0-2

You need to install gnome-python2
Comment 15 Harald Hoyer 2003-11-28 03:35:25 EST
the above was for Fedora Core 1... sorry...

$ rpm -qf /usr/lib/python2.2/site-packages/gtk-2.0/gnome/uimodule.so
gnome-python2-1.99.14-5

you can verify first, if all files are there:
$ rpm -V gnome-python2
should produce no output...
also 
$ ldd /usr/lib/python2.2/site-packages/gtk-2.0/gnome/uimodule.so
should not report any missing libraries..


Note You need to log in before you can comment on or make changes to this bug.